Subject: Multi-purpose Machine Tools

From: [email-masked] (Thomas Burton)
Date: 21 Jul 93 19:41:13 GMT

I am interested in procuring a small multi-purpose drill/mill/lathe
machining tool for hobby/home use.  I have literature on both the Shop-Task
17XM-TC model and the Smithy AT-300 model.  I also have information
on a Mannheim TK-50 Lightweight machining center.  I do not have enough
experience with machining to determine the merits of the particular
models on a comparison basis.  Any info on these machines as well as
their quality and utility would be appreciated. Thanks.